View Issue Details

IDProjectCategoryView StatusLast Update
14389Bug reports[All Projects] Theme editorpublic2019-04-30 09:11
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14389: never same order in Theme list
Description

Have some theme (if able more than 10) : there are no fixed order in list

Steps To Reproduce

Have some theme , more than 10 if able
See place of one theme, reset theme : search theme … sometimes on 2nd page, sometimes on 1st , reset another one : order are updated again …

Additional Information

Very difficult to find theme when there are a lot …

Maybe :

  1. 1st is the default
  2. Other in alphabetic

Can be the best , else : alpha ?

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7.2

Relationships

related to 14391 new Feature requests Less height in theme listing 
related to 14390 new Bug reports Reset or update options of a theme : come back to 1st page 

Activities

LouisGac

LouisGac

2019-01-18 16:47

manager   ~50269

now you can even click on column name to choose order

DenisChenu

DenisChenu

2019-01-18 16:53

developer   ~50270

But : default order still disorder : there are no default order.

And each time : order is resetted …

Why not alphabetic by default ? The current order are by id ?

DenisChenu

DenisChenu

2019-01-18 17:04

developer   ~50272

https://github.com/LimeSurvey/LimeSurvey/pull/1208

Any (default) order is always better than no order at all

DenisChenu

DenisChenu

2019-01-22 11:10

developer   ~50289

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28779

Related Changesets

LimeSurvey: master f193c1d0

2019-01-22 11:10:24

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14389: never same order in Theme list (#1208)

Dev: using defaultScope for order set it for ALL request
Dev: if there are no other order.
Affected Issues
14389
mod - application/models/TemplateConfiguration.php Diff File

Issue History

Date Modified Username Field Change
2019-01-03 10:50 DenisChenu New Issue
2019-01-03 10:53 DenisChenu Relationship added related to 14390
2019-01-03 10:59 DenisChenu Relationship added related to 14391
2019-01-10 15:41 LouisGac Assigned To => LouisGac
2019-01-10 15:41 LouisGac Status new => assigned
2019-01-18 16:47 LouisGac Status assigned => resolved
2019-01-18 16:47 LouisGac Resolution open => fixed
2019-01-18 16:47 LouisGac Note Added: 50269
2019-01-18 16:48 LouisGac Status resolved => closed
2019-01-18 16:53 DenisChenu Note Added: 50270
2019-01-18 17:04 DenisChenu Status closed => feedback
2019-01-18 17:04 DenisChenu Resolution fixed => reopened
2019-01-18 17:04 DenisChenu Note Added: 50272
2019-01-22 11:10 DenisChenu Changeset attached => LimeSurvey master f193c1d0
2019-01-22 11:10 DenisChenu Note Added: 50289
2019-01-22 11:10 DenisChenu Assigned To LouisGac => DenisChenu
2019-01-22 14:59 DenisChenu Status feedback => resolved
2019-01-22 14:59 DenisChenu Resolution reopened => fixed
2019-01-22 14:59 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:11 c_schmitz Status resolved => closed